GNU bug report logs - #49339
[PATCH core-updates] gnu: mesa: Update to 21.1.4.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Irfan S <irfan@HIDDEN>; Keywords: patch; dated Fri, 2 Jul 2021 18:58:03 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 49339 <at> debbugs.gnu.org:


Received: (at 49339) by debbugs.gnu.org; 13 Jul 2021 16:26:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 13 12:26:38 2021
Received: from localhost ([127.0.0.1]:41641 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3LF0-0003KZ-CW
	for submit <at> debbugs.gnu.org; Tue, 13 Jul 2021 12:26:38 -0400
Received: from mail-4316.protonmail.ch ([185.70.43.16]:19117)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1m3LEv-0003KH-SA
 for 49339 <at> debbugs.gnu.org; Tue, 13 Jul 2021 12:26:36 -0400
Date: Tue, 13 Jul 2021 16:26:26 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1626193587;
 bh=iF9xpYXlKKuUd8+SBQgpW1k+oLgb+thbvPK7KUFWJNA=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=Fxe2otOzO4YIPw2Ektff8kxgC/Z0MYHaJojI+d5WtPkXEZnrz5ZNln4a5oISeh83+
 SxWNm4EjCsjNJMjwkjYOUHvUWYNnzZEVEZpIjdNPz7c18jGfm7ztk6VMTdn8stnxxU
 Oe3+Pg4NxSO6DEM+pYxHr4QQIfDSOSlOm3JWMULs=
To: "49339 <at> debbugs.gnu.org" <49339 <at> debbugs.gnu.org>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: [bug#49339] [PATCH core-updates] gnu: mesa: Update to 21.1.4.
Message-ID: <s_56Wkw6Gng1yMpobChu6yLYyAMd4xzGR1r9wrY6X0oSRi7FS9yC18ll6tt6xA-cFDJ9Y6XiQ_3v2BJ4HUAhQkFy5yC02vuzKw867EdA8is=@protonmail.com>
In-Reply-To: <dkTlAfePFapzHFIlkXh864EhymFKjGy0gpGKSYj3oOE4bCAsKxsEAgZ9Ca0g_Mn_6jA4FJjXwxahmdusAEcCeEi6xBZI9gIAMekN4YvQwiI=@protonmail.com>
References: <jiKz00xP3i3YsGlN1G6BLevhAjMHDXJJd3-cSOml_yupQlbuwnxvLLjS9MCEJ1k_1jZ0y9XidCMLEmHyfDO6fVWROVtpRDSnccRjYyl3PXE=@protonmail.com>
 <Y2Pt7fXnOkPW1ICO2GebafVzz9qSkEtAGRvVFCT7BhUn2B97bRkwkQrSbGyQsFRJM44fxThX7qxkHX13YGXgm7Dy3NsxnyPAelIQAdINF04=@protonmail.com>
 <1aa813b7dee2233dd82ae3d74d175fc68e28fdd5.camel@HIDDEN>
 <_GQD4UBisH4wjKiOm3O6fzv8b1vdI890mQCX4gX6FQB7pXuDXpAU-mLiKMPRDMKu9vp_UFBUcOs6mlIKuKAbZ9W1lPQ5QnwhPBc2fra-Yow=@protonmail.com>
 <ff9db3620a35942a1d0aba98bcd85bbd3a85cf7e.camel@HIDDEN>
 <vGU4MgkOeG3Tx8QPbrAdj_cb2L3IC00Eb8_NUmByhEJ-bH44AkG_mE3TuQcktoi2qdYCoy3Nxj6xlzCsPWjOlvMXUfU1YJdlASPWkZv7tj0=@protonmail.com>
 <dkTlAfePFapzHFIlkXh864EhymFKjGy0gpGKSYj3oOE4bCAsKxsEAgZ9Ca0g_Mn_6jA4FJjXwxahmdusAEcCeEi6xBZI9gIAMekN4YvQwiI=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49339
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original Me=
ssage =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90

On Tuesday, July 13th, 2021 at 11:42 AM, John Kehayias <john.kehayias@proto=
nmail.com> wrote:

> Hi everyone,
>
> Final update, we still need the mesa-skip-tests.patch, but only for the i=
686 part (second half). The other part of the patch is not needed as the te=
st passes.
>
> Here is the final version of the patch to just update Mesa to 21.1.4. Not=
e this depends on the libdrm update of https://issues.guix.gnu.org/49412 Me=
sa builds as well as descendants I've tried (like xorg and friends).
>
> Shall we get this merged and set the libglvnd updates after (in case we r=
un into the core-updates freeze)? That would work well for me at least.
>
> Thanks everyone,
>
> John

I forgot the copyright line, though I think this should be for Irfan. Here =
is mine, just in case:

diff --git a/gnu/packages/gl.scm b/gnu/packages/gl.scm
index cc5131b28d..f9b6ed9891 100644
--- a/gnu/packages/gl.scm
+++ b/gnu/packages/gl.scm
@@ -15,6 +15,7 @@
 ;;; Copyright =C2=A9 2020 Giacomo Leidi <goodoldpaul@HIDDEN>
 ;;; Copyright =C2=A9 2020 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright =C2=A9 2020 Kei Kebreau <kkebreau@HIDDEN>
+;;; Copyright =C2=A9 2021 John Kehayias <john.kehayias@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;




Information forwarded to guix-patches@HIDDEN:
bug#49339; Package guix-patches. Full text available.

Message received at 49339 <at> debbugs.gnu.org:


Received: (at 49339) by debbugs.gnu.org; 13 Jul 2021 15:42:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 13 11:42:58 2021
Received: from localhost ([127.0.0.1]:41610 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3KYk-0002I9-71
	for submit <at> debbugs.gnu.org; Tue, 13 Jul 2021 11:42:58 -0400
Received: from mail-40131.protonmail.ch ([185.70.40.131]:53219)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1m3KYh-0002Hu-Of
 for 49339 <at> debbugs.gnu.org; Tue, 13 Jul 2021 11:42:57 -0400
Date: Tue, 13 Jul 2021 15:42:48 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1626190969;
 bh=Hv0OEr0ktwhpQcwK+pTdxl1gyhCCNVwmQqTV6zV1MBg=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=CXOmffPCEjvd7wFsE/xMeUfwwg/j5eEfdYC15GWRCHrAtouRdADGnyaud56rPCudg
 tApaxYDZjJgz4phWaSfnnAa76fJeguRflChlUMKN4s3k+ar3+znGZpRQNbpoI4WKm8
 kBk9uwVbjXnP4AQhT5QF4LJmkr0F46Zx5SsqGpS4=
To: "49339 <at> debbugs.gnu.org" <49339 <at> debbugs.gnu.org>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: [bug#49339] [PATCH core-updates] gnu: mesa: Update to 21.1.4.
Message-ID: <dkTlAfePFapzHFIlkXh864EhymFKjGy0gpGKSYj3oOE4bCAsKxsEAgZ9Ca0g_Mn_6jA4FJjXwxahmdusAEcCeEi6xBZI9gIAMekN4YvQwiI=@protonmail.com>
In-Reply-To: <vGU4MgkOeG3Tx8QPbrAdj_cb2L3IC00Eb8_NUmByhEJ-bH44AkG_mE3TuQcktoi2qdYCoy3Nxj6xlzCsPWjOlvMXUfU1YJdlASPWkZv7tj0=@protonmail.com>
References: <jiKz00xP3i3YsGlN1G6BLevhAjMHDXJJd3-cSOml_yupQlbuwnxvLLjS9MCEJ1k_1jZ0y9XidCMLEmHyfDO6fVWROVtpRDSnccRjYyl3PXE=@protonmail.com>
 <Y2Pt7fXnOkPW1ICO2GebafVzz9qSkEtAGRvVFCT7BhUn2B97bRkwkQrSbGyQsFRJM44fxThX7qxkHX13YGXgm7Dy3NsxnyPAelIQAdINF04=@protonmail.com>
 <1aa813b7dee2233dd82ae3d74d175fc68e28fdd5.camel@HIDDEN>
 <_GQD4UBisH4wjKiOm3O6fzv8b1vdI890mQCX4gX6FQB7pXuDXpAU-mLiKMPRDMKu9vp_UFBUcOs6mlIKuKAbZ9W1lPQ5QnwhPBc2fra-Yow=@protonmail.com>
 <ff9db3620a35942a1d0aba98bcd85bbd3a85cf7e.camel@HIDDEN>
 <vGU4MgkOeG3Tx8QPbrAdj_cb2L3IC00Eb8_NUmByhEJ-bH44AkG_mE3TuQcktoi2qdYCoy3Nxj6xlzCsPWjOlvMXUfU1YJdlASPWkZv7tj0=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49339
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi everyone,

Final update, we still need the mesa-skip-tests.patch, but only for the i68=
6 part (second half). The other part of the patch is not needed as the test=
 passes.

Here is the final version of the patch to just update Mesa to 21.1.4. Note =
this depends on the libdrm update of https://issues.guix.gnu.org/49412 Mesa=
 builds as well as descendants I've tried (like xorg and friends).

Shall we get this merged and set the libglvnd updates after (in case we run=
 into the core-updates freeze)? That would work well for me at least.

Thanks everyone,
John




Information forwarded to guix-patches@HIDDEN:
bug#49339; Package guix-patches. Full text available.

Message received at 49339 <at> debbugs.gnu.org:


Received: (at 49339) by debbugs.gnu.org; 13 Jul 2021 04:45:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 13 00:45:28 2021
Received: from localhost ([127.0.0.1]:39149 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3AIS-0004Ax-2O
	for submit <at> debbugs.gnu.org; Tue, 13 Jul 2021 00:45:28 -0400
Received: from irfus.in ([45.63.78.5]:4291)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <irfan@HIDDEN>) id 1m3AIQ-0004Ap-2y
 for 49339 <at> debbugs.gnu.org; Tue, 13 Jul 2021 00:45:26 -0400
Received: from irfus.in (localhost [127.0.0.1])
 by irfus.in (OpenSMTPD) with ESMTP id 4a60596c
 for <49339 <at> debbugs.gnu.org>; Mon, 12 Jul 2021 23:45:25 -0500 (CDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=irfus.in; h=from:to
 :subject:date:message-id:mime-version:content-type; s=default;
 bh=XptJwdVgUf/oyG45kLEdUABx5u8=; b=gJhsmsGyaviSZrWcbF3Snm9eNwSo
 gPQgIWVflbYXdtck3NvpnyaZ1MiD/nphS+3LVgaideESn4qUDu2rOlHawDCq3AhM
 H4ekDnOGMfuNA+njJtplsxysPscRA7QCxEJ6ls3I3zFy92s6zjkWlB+gLoBZVmFR
 rsCE17s7xZ9UboY=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=irfus.in; h=from:to:subject
 :date:message-id:mime-version:content-type; q=dns; s=default; b=
 flxXHzEyC0fxL9pFCzVq3b+IAGnuJVE4+ktF4o2SCNscM8cMCXK+WtaNLzpjVT6D
 JiBro0G5YHz49FOzSVKfXELIRt6upSFjzpoEFT+tHV0DmhM2m/XvT+PGPE983vav
 B5yUFwev7II+CXHzXj0tSCo81Ub2iFYbMjwiAgrPJH8=
Received: from localhost (<unknown> [115.98.124.164])
 by irfus.in (OpenSMTPD) with ESMTPSA id 745ad880
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO) for <49339 <at> debbugs.gnu.org>;
 Mon, 12 Jul 2021 23:45:23 -0500 (CDT)
User-agent: mu4e 1.4.15; emacs 28.0.50
From: Irfan S <irfan@HIDDEN>
To: 49339 <at> debbugs.gnu.org
Subject: 
Date: Tue, 13 Jul 2021 10:15:17 +0530
Message-ID: <87sg0iyg82.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  I did test building some dependents of mesa with libglvnd.
 libepoxy, in particular, needed the change that Maxime points out will affect
 some 20 or so other packages as well. With that made, I was abl [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 2.0 BLANK_SUBJECT          Subject is present but empty
X-Debbugs-Envelope-To: 49339
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

I did test building some dependents of mesa with libglvnd. 
libepoxy, in particular, needed the change that Maxime points out 
will affect some 20 or so other packages as well. With that made, 
I was able to build and boot into a functioning graphical 
environment on xorg-server. I can work on patching all packages 
that look for libgl.so/libegl.so from mesa to use libglvnd 
instead, as Maxime suggested. But I agree with John that getting 
an updated mesa, with or without libglvnd, into core-updates now 
would be preferable than being delayed to the next freeze cycle. 
If that is a concern, then maybe this patch can be pushed as is.

Cheers,
Irfan




Information forwarded to guix-patches@HIDDEN:
bug#49339; Package guix-patches. Full text available.

Message received at 49339 <at> debbugs.gnu.org:


Received: (at 49339) by debbugs.gnu.org; 9 Jul 2021 15:34:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 09 11:34:42 2021
Received: from localhost ([127.0.0.1]:59536 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m1sWX-00039n-W1
	for submit <at> debbugs.gnu.org; Fri, 09 Jul 2021 11:34:42 -0400
Received: from mail-40131.protonmail.ch ([185.70.40.131]:51900)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1m1sWT-00039W-Kt
 for 49339 <at> debbugs.gnu.org; Fri, 09 Jul 2021 11:34:40 -0400
Date: Fri, 09 Jul 2021 15:34:29 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1625844870;
 bh=ZubnlNJN/JlfF6bpd4fUQSr8RA62ddTn8Ig5QieIddM=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=OzB9Fp9YNpNAxfLebrwpv6UyCwaCyBmmpd0zLvp0DYCQjDRz8GMuvKEsoP1ZltIGn
 zb6rM+gtG8bl2m7WPcDdBvdvk4cWdhB3fJ17Bh+rpW6t8aCMqZIDXBWQwKXC+UbkS8
 Lw6qZERRAacNs5VGhtjciGoW4dEjJmyufoQFFfs4=
To: Maxime Devos <maximedevos@HIDDEN>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: [bug#49339] [PATCH core-updates] gnu: mesa: Update to 21.1.4.
Message-ID: <vGU4MgkOeG3Tx8QPbrAdj_cb2L3IC00Eb8_NUmByhEJ-bH44AkG_mE3TuQcktoi2qdYCoy3Nxj6xlzCsPWjOlvMXUfU1YJdlASPWkZv7tj0=@protonmail.com>
In-Reply-To: <ff9db3620a35942a1d0aba98bcd85bbd3a85cf7e.camel@HIDDEN>
References: <jiKz00xP3i3YsGlN1G6BLevhAjMHDXJJd3-cSOml_yupQlbuwnxvLLjS9MCEJ1k_1jZ0y9XidCMLEmHyfDO6fVWROVtpRDSnccRjYyl3PXE=@protonmail.com>
 <Y2Pt7fXnOkPW1ICO2GebafVzz9qSkEtAGRvVFCT7BhUn2B97bRkwkQrSbGyQsFRJM44fxThX7qxkHX13YGXgm7Dy3NsxnyPAelIQAdINF04=@protonmail.com>
 <1aa813b7dee2233dd82ae3d74d175fc68e28fdd5.camel@HIDDEN>
 <_GQD4UBisH4wjKiOm3O6fzv8b1vdI890mQCX4gX6FQB7pXuDXpAU-mLiKMPRDMKu9vp_UFBUcOs6mlIKuKAbZ9W1lPQ5QnwhPBc2fra-Yow=@protonmail.com>
 <ff9db3620a35942a1d0aba98bcd85bbd3a85cf7e.camel@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49339
Cc: "49339 <at> debbugs.gnu.org" <49339 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original Me=
ssage =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90

On Friday, July 9th, 2021 at 8:48 AM, Maxime Devos wrote:

> Warning: I've no idea how building mesa and libglvnd works,
>
> how linking against mesa and libglvnd works, and how mesa and libglvnd
>
> work, besides =E2=80=98you can use the GL_... functions to do GL stuff=
=E2=80=99.
>
No worries, I also know very little here (just learning about libglvnd), so=
 I'm no expert. However, I think it will be a little more complicated becau=
se libglvnd is meant to dispatch to a vendor's GL libraries at runtime. Mea=
ning it will need to know where these libraries exist, which may require so=
me changes for Guix.

> That said, it appears some package definitions expect "libGL.so" to be in=
 mesa.
>
> (Search for "/lib/libGL" and "lib/libEGL" with 'git grep -F"').
>
> I've found about twenty such occurences, including libepoxy.
>
> So it appears that adding libglvnd to the propagated-inputs and fixing
>
> these twenty package definitions should be doable.
>
> Looking at libepoxy in particular:
>
> (let ((python (assoc-ref inputs "python"))
>
> (mesa (assoc-ref inputs "mesa")))
>
> (substitute* "src/gen_dispatch.py"
>
> (("/usr/bin/env python") python))
>
> (substitute* (find-files "." "\\.[ch]$")
>
> (("libGL.so.1") (string-append mesa "/lib/libGL.so.1"))
>
> (("libEGL.so.1") (string-append mesa "/lib/libEGL.so.1")))
>
> #t))))))
>
> it seems like the test failure isn't a false positive, as libGL.so.1 is s=
earched
>
> for in the wrong location.
>
While I think getting builds and tests to pass is not so bad, I don't know =
that it will actually work the way it is supposed to (see above). I'm also =
a bit limited in what I can test directly. (For one thing, I'm on a foreign=
 distro right now, which complicates GL testing. For example, Nix has https=
://github.com/guibou/nixGL for the "OpenGL problem" which may be something =
we should look at for this as well.)

> > Anyway, perhaps we want to tackle libglvnd separately? I don't think it=
 is specific to the Mesa version change, but more of how we want to handle =
gl across packages. Still, it will involve changes to how we build Mesa as =
well as possibly other packages. I'm not sure that the Mesa version change =
will require other changes in dependent packages (I can only test a few on =
my own).
> >
> > How do you think we should proceed?
>
> I'd suggest adding libglvnd to propagated-inputs
>
> and adjusting the twenty package definitions to refer
>
> to libglvnd, and testing some graphical applications.
>
> "mesa-utils" has "glxdemo" and "glxheads" and has few dependencies,
>
> maybe start with that?
>
The more I think about it, the more I think we should tackle a change to Gu=
ix's GL system separately. The original patch enabled libglvnd in Mesa, but=
 that has been around for a while and is not new to 21.1.x. I worry doing t=
hem at the same time would introduce two sources for anything breaking, tho=
ugh I hope the move to 21.1.x doesn't require any big changes elsewhere.

Personally, I'd like to see Mesa 21.1.x updated and make sure dependents ar=
e okay. We can then have a separate patch series that enables libglvnd in M=
esa and adjusts all packages. We would need some people who can test that a=
ctually use different GL vendors to see that libglvnd does what it is suppo=
sed to. Perhaps Irfan can weigh in, since in their original patch they did =
have libglvnd and may have tested that it works.

Any experts on Mesa/libglvnd here to chime in? Is the minimal Mesa version =
update patch okay if we want to libglvnd separately?

Thanks,
John




Information forwarded to guix-patches@HIDDEN:
bug#49339; Package guix-patches. Full text available.

Message received at 49339 <at> debbugs.gnu.org:


Received: (at 49339) by debbugs.gnu.org; 9 Jul 2021 12:49:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 09 08:49:34 2021
Received: from localhost ([127.0.0.1]:58493 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m1pwj-0005B7-R1
	for submit <at> debbugs.gnu.org; Fri, 09 Jul 2021 08:49:34 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:33222)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1m1pwg-0005Ax-Rr
 for 49339 <at> debbugs.gnu.org; Fri, 09 Jul 2021 08:49:32 -0400
Received: from [172.20.10.4] ([213.119.223.147])
 by michel.telenet-ops.be with bizsmtp
 id T0pU250013BRdlx060pUGZ; Fri, 09 Jul 2021 14:49:29 +0200
Message-ID: <ff9db3620a35942a1d0aba98bcd85bbd3a85cf7e.camel@HIDDEN>
Subject: Re: [bug#49339] [PATCH core-updates] gnu: mesa: Update to 21.1.4.
From: Maxime Devos <maximedevos@HIDDEN>
To: John Kehayias <john.kehayias@HIDDEN>
In-Reply-To: <_GQD4UBisH4wjKiOm3O6fzv8b1vdI890mQCX4gX6FQB7pXuDXpAU-mLiKMPRDMKu9vp_UFBUcOs6mlIKuKAbZ9W1lPQ5QnwhPBc2fra-Yow=@protonmail.com>
References: <jiKz00xP3i3YsGlN1G6BLevhAjMHDXJJd3-cSOml_yupQlbuwnxvLLjS9MCEJ1k_1jZ0y9XidCMLEmHyfDO6fVWROVtpRDSnccRjYyl3PXE=@protonmail.com>
 <Y2Pt7fXnOkPW1ICO2GebafVzz9qSkEtAGRvVFCT7BhUn2B97bRkwkQrSbGyQsFRJM44fxThX7qxkHX13YGXgm7Dy3NsxnyPAelIQAdINF04=@protonmail.com>
 <1aa813b7dee2233dd82ae3d74d175fc68e28fdd5.camel@HIDDEN>
 <_GQD4UBisH4wjKiOm3O6fzv8b1vdI890mQCX4gX6FQB7pXuDXpAU-mLiKMPRDMKu9vp_UFBUcOs6mlIKuKAbZ9W1lPQ5QnwhPBc2fra-Yow=@protonmail.com>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-CPiw1IPkqIhUqRWotrWu"
Date: Fri, 09 Jul 2021 14:48:08 +0200
MIME-Version: 1.0
User-Agent: Evolution 3.34.2 
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1625834969; bh=8b3prCLx7rKtBPojpl+rKA2i5ACENI40UGEc5WNAzBY=;
 h=Subject:From:To:Cc:In-Reply-To:References:Date;
 b=RdOtYMAQtt0GIRAGZAbmtZLwggOf1DSRXR3uY+/QQ4DEXXDGv6Pf/r+jXkQ3xHb7H
 Y9EJ1LyjXS1x0Bgs+kFUGdKqZYIZB7e2Kd4Hm7t2HVP6RwTnBP/nJKxSDs5Ez7YZs8
 g5Wt5u2kSY++IzABos/07DgxeOutOmayVzOZHigj8jqFwbElHk/H2I5QD9oq2yAOY4
 WZkBuNEclpoVLHtAKRr5w715INV46XjIPuzz2CSLF9/7xqZGvsd5BkfW2sI1Al5IPl
 +0q6JQWwvHO3e8uPyWEvg96t3wvnxjq38VSBVDr3FpAdEK4d9Po2i/+WW0hNOAiMFC
 HhQ9nSIE6rsKQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49339
Cc: "49339 <at> debbugs.gnu.org" <49339 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-CPiw1IPkqIhUqRWotrWu
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

John Kehayias schreef op vr 09-07-2021 om 02:41 [+0000]:
>=20
[...]
> > If with this update of mesa, (almost) every package using mesa also nee=
ds libglvnd,
> >=20
> > then why not add 'libglvnd' to the propagated-inputs mesa, for about th=
e same reasons
> >=20
> > that 'atk' has 'glib' in 'propagated-inputs'?
> >=20
> > Not sure if the comparison applies though.
> > [...]

> That sounds like a good idea, but I think there may be some kinks to work=
 out. Adding libglvnd to propagated-inputs of Mesa does lead to the success=
ful building of dependents (tested on libepoxy and virtualgl, for example).
> However, libepoxy fails on a test because it doesn't find libGL.
> That is no longer in Mesa's lib but from libglvnd if I'm understanding co=
rrectly. May just be a problem with the test since building works (which ch=
ecks for GL).

Warning: I've no idea how building mesa and libglvnd works,
how linking against mesa and libglvnd works, and how mesa and libglvnd
work, besides =E2=80=98you can use the GL_... functions to do GL stuff=E2=
=80=99.

That said, it appears some package definitions expect "libGL.so" to be in m=
esa.
(Search for "/lib/libGL" and "lib/libEGL" with 'git grep -F"').
I've found about twenty such occurences, including libepoxy.

So it appears that adding libglvnd to the propagated-inputs and fixing
these twenty package definitions should be doable.

Looking at libepoxy in particular:

             (let ((python (assoc-ref inputs "python"))
                   (mesa (assoc-ref inputs "mesa")))
               (substitute* "src/gen_dispatch.py"
                 (("/usr/bin/env python") python))
               (substitute* (find-files "." "\\.[ch]$")
                 (("libGL.so.1") (string-append mesa "/lib/libGL.so.1"))
                 (("libEGL.so.1") (string-append mesa "/lib/libEGL.so.1")))
               #t))))))

it seems like the test failure isn't a false positive, as libGL.so.1 is sea=
rched
for in the wrong location.

>=20
> Anyway, perhaps we want to tackle libglvnd separately? I don't think it i=
s specific to the Mesa version change, but more of how we want to handle gl=
 across packages. Still, it will involve changes to how we build Mesa as we=
ll as possibly other packages. I'm not sure that the Mesa version change wi=
ll require other changes in dependent packages (I can only test a few on my=
 own).
>=20
> How do you think we should proceed?

I'd suggest adding libglvnd to propagated-inputs
and adjusting the twenty package definitions to refer
to libglvnd, and testing some graphical applications.

"mesa-utils" has "glxdemo" and "glxheads" and has few dependencies,
maybe start with that?

Greetings,
Maxime.

--=-CPiw1IPkqIhUqRWotrWu
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYOhFgRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7vsDAQDfiVAjfmuRpFS3StY4McBcAJzT
DuAC6G9EELLQ5cfN5AEA9tEbt+W1imHek2Wri3dx3P71odK2NDD4xJkZ9x3kpAI=
=TIEx
-----END PGP SIGNATURE-----

--=-CPiw1IPkqIhUqRWotrWu--





Information forwarded to guix-patches@HIDDEN:
bug#49339; Package guix-patches. Full text available.

Message received at 49339 <at> debbugs.gnu.org:


Received: (at 49339) by debbugs.gnu.org; 9 Jul 2021 02:42:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 08 22:42:07 2021
Received: from localhost ([127.0.0.1]:57959 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m1gSt-00072V-9V
	for submit <at> debbugs.gnu.org; Thu, 08 Jul 2021 22:42:07 -0400
Received: from mail-4316.protonmail.ch ([185.70.43.16]:38633)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1m1gSp-00071y-H8
 for 49339 <at> debbugs.gnu.org; Thu, 08 Jul 2021 22:42:06 -0400
Date: Fri, 09 Jul 2021 02:41:56 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1625798516;
 bh=Tt5iCjMsZj0pXMa8A9rTh1e+RdcP1kgis4TZiNMh87A=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=pzkiXTg/+aN/Tjjbpd+afX7UpLV14VICOFP6MxlirtkEeHSuNeo6kqGwBzCBSQRGw
 ELZiJTEadrQTnOCh6mee50gjsDdml/gqwFWzBMCZ/nCY0h8jdgJO8oNDpX47ot6Wfe
 utLN7FbdHpw93SZnQ+c5DhIBeLirX8b26w2UdRX0=
To: Maxime Devos <maximedevos@HIDDEN>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: [bug#49339] [PATCH core-updates] gnu: mesa: Update to 21.1.4.
Message-ID: <_GQD4UBisH4wjKiOm3O6fzv8b1vdI890mQCX4gX6FQB7pXuDXpAU-mLiKMPRDMKu9vp_UFBUcOs6mlIKuKAbZ9W1lPQ5QnwhPBc2fra-Yow=@protonmail.com>
In-Reply-To: <1aa813b7dee2233dd82ae3d74d175fc68e28fdd5.camel@HIDDEN>
References: <jiKz00xP3i3YsGlN1G6BLevhAjMHDXJJd3-cSOml_yupQlbuwnxvLLjS9MCEJ1k_1jZ0y9XidCMLEmHyfDO6fVWROVtpRDSnccRjYyl3PXE=@protonmail.com>
 <Y2Pt7fXnOkPW1ICO2GebafVzz9qSkEtAGRvVFCT7BhUn2B97bRkwkQrSbGyQsFRJM44fxThX7qxkHX13YGXgm7Dy3NsxnyPAelIQAdINF04=@protonmail.com>
 <1aa813b7dee2233dd82ae3d74d175fc68e28fdd5.camel@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49339
Cc: "49339 <at> debbugs.gnu.org" <49339 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original Me=
ssage =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90

On Thursday, July 8th, 2021 at 4:55 PM, Maxime Devos wrote:

> John Kehayias via Guix-patches via schreef op do 08-07-2021 om 01:35 [+00=
00]:
>
> > =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Origina=
l Message =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=
=90
> >
> > On Monday, July 5th, 2021 at 11:35 AM:
> >
> > > libepoxy doesn't build (patch paths?). On #guix there was discussion =
of fixing these problems, could an updated patch be sent here for testing?
> >
> > This was easy to solve: I switched where libepoxy was looking for EGL a=
nd GL libraries to use libglvnd rather than mesa, as well as adding libglvn=
d as an input. Also added libglvnd as an input into xorg-server.
> >
> > Looking at other packages that depend on e.g. libepoxy/mesa/etc. seems =
like many will need libglvnd as an input now? Is that what we want to move =
to (I take it is optional, but perhaps a move in the right direction)?
>
> If with this update of mesa, (almost) every package using mesa also needs=
 libglvnd,
>
> then why not add 'libglvnd' to the propagated-inputs mesa, for about the =
same reasons
>
> that 'atk' has 'glib' in 'propagated-inputs'?
>
> Not sure if the comparison applies though.
>
> Greetings,
>
> Maxime

Hi Maxime,

That sounds like a good idea, but I think there may be some kinks to work o=
ut. Adding libglvnd to propagated-inputs of Mesa does lead to the successfu=
l building of dependents (tested on libepoxy and virtualgl, for example). H=
owever, libepoxy fails on a test because it doesn't find libGL. That is no =
longer in Mesa's lib but from libglvnd if I'm understanding correctly. May =
just be a problem with the test since building works (which checks for GL).

Anyway, perhaps we want to tackle libglvnd separately? I don't think it is =
specific to the Mesa version change, but more of how we want to handle gl a=
cross packages. Still, it will involve changes to how we build Mesa as well=
 as possibly other packages. I'm not sure that the Mesa version change will=
 require other changes in dependent packages (I can only test a few on my o=
wn).

How do you think we should proceed?

John




Information forwarded to guix-patches@HIDDEN:
bug#49339; Package guix-patches. Full text available.

Message received at 49339 <at> debbugs.gnu.org:


Received: (at 49339) by debbugs.gnu.org; 8 Jul 2021 20:56:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 08 16:56:21 2021
Received: from localhost ([127.0.0.1]:57683 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m1b4G-0006zN-Ve
	for submit <at> debbugs.gnu.org; Thu, 08 Jul 2021 16:56:21 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:39184)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1m1b4C-0006zB-LK
 for 49339 <at> debbugs.gnu.org; Thu, 08 Jul 2021 16:56:19 -0400
Received: from [172.20.10.4] ([188.189.203.76])
 by laurent.telenet-ops.be with bizsmtp
 id SkwD250011fQufw01kwD4r; Thu, 08 Jul 2021 22:56:14 +0200
Message-ID: <1aa813b7dee2233dd82ae3d74d175fc68e28fdd5.camel@HIDDEN>
Subject: Re: [bug#49339] [PATCH core-updates] gnu: mesa: Update to 21.1.4.
From: Maxime Devos <maximedevos@HIDDEN>
To: John Kehayias <john.kehayias@HIDDEN>, "49339 <at> debbugs.gnu.org"
 <49339 <at> debbugs.gnu.org>
Date: Thu, 08 Jul 2021 22:55:55 +0200
In-Reply-To: <Y2Pt7fXnOkPW1ICO2GebafVzz9qSkEtAGRvVFCT7BhUn2B97bRkwkQrSbGyQsFRJM44fxThX7qxkHX13YGXgm7Dy3NsxnyPAelIQAdINF04=@protonmail.com>
References: <jiKz00xP3i3YsGlN1G6BLevhAjMHDXJJd3-cSOml_yupQlbuwnxvLLjS9MCEJ1k_1jZ0y9XidCMLEmHyfDO6fVWROVtpRDSnccRjYyl3PXE=@protonmail.com>
 <Y2Pt7fXnOkPW1ICO2GebafVzz9qSkEtAGRvVFCT7BhUn2B97bRkwkQrSbGyQsFRJM44fxThX7qxkHX13YGXgm7Dy3NsxnyPAelIQAdINF04=@protonmail.com>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-NZL7uARZPDRftLsIfE6h"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1625777774; bh=rwLHgAfmR7dHftCFl6EkY7DP35rkLlQQm+UXFVUo+YA=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=sn4xn1bD7atyjDWHcG8XIJHJu1UAGIfU8DjW5OAIUpiKTJTg1GB4NPOLkC84mvze8
 4/X+hpkVTQQIhv27VUMga2NJKFvC+SJ6+FNuU6ekaaBaYj4Mx1Vl+quTbjYIG79Tf7
 sS2aCSDPdMuYgln7ndYZiqnSTa1K4U4rd2aF1EXw2fqvUZAHXf4Dda6Yqv3/zkif1S
 SxPvqDIdTcWnfuVwYfXGQrAdV28D9/cpKEXhVLLyc/bO3yVilLkzxlea/b0uqD5v7G
 ufJCIzpDgB+6Upl1MR5Cf602saxadUp03WjBdGfiwTTMGalz6DwMiLEnpDDRe7rDZn
 V5DUzocHshlsw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49339
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-NZL7uARZPDRftLsIfE6h
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

John Kehayias via Guix-patches via schreef op do 08-07-2021 om 01:35 [+0000=
]:
> =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original =
Message =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90
>=20
> On Monday, July 5th, 2021 at 11:35 AM:
>=20
> > libepoxy doesn't build (patch paths?). On #guix there was discussion of=
 fixing these problems, could an updated patch be sent here for testing?
>=20
> This was easy to solve: I switched where libepoxy was looking for EGL and=
 GL libraries to use libglvnd rather than mesa, as well as adding libglvnd =
as an input. Also added libglvnd as an input into xorg-server.
>=20
> Looking at other packages that depend on e.g. libepoxy/mesa/etc. seems li=
ke many will need libglvnd as an input now? Is that what we want to move to=
 (I take it is optional, but perhaps a move in the right direction)?

If with this update of mesa, (almost) every package using mesa also needs l=
ibglvnd,
then why not add 'libglvnd' to the propagated-inputs mesa, for about the sa=
me reasons
that 'atk' has 'glib' in 'propagated-inputs'?

Not sure if the comparison applies though.

Greetings,
Maxime

--=-NZL7uARZPDRftLsIfE6h
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYOdmWxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7mQKAQDYLUYTOWqDP58kM69LYgPuVAN9
Q1vlWGe+kosIKbyV0QD/UCTHNBdMBm9tc0JEdIMPrvHbKF3olvpaRKmM/HnfMAw=
=UC7T
-----END PGP SIGNATURE-----

--=-NZL7uARZPDRftLsIfE6h--





Information forwarded to guix-patches@HIDDEN:
bug#49339; Package guix-patches. Full text available.

Message received at 49339 <at> debbugs.gnu.org:


Received: (at 49339) by debbugs.gnu.org; 8 Jul 2021 15:40:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 08 11:40:19 2021
Received: from localhost ([127.0.0.1]:57290 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m1W8R-0003BS-34
	for submit <at> debbugs.gnu.org; Thu, 08 Jul 2021 11:40:19 -0400
Received: from mail2.protonmail.ch ([185.70.40.22]:10448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1m1W8N-0003B8-8m
 for 49339 <at> debbugs.gnu.org; Thu, 08 Jul 2021 11:40:17 -0400
Date: Thu, 08 Jul 2021 15:40:07 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1625758808;
 bh=/UF4EoxAFh5SL9F1xSrY5fe3qKKGwf6W2gh+bDdJqfc=;
 h=Date:To:From:Reply-To:Subject:In-Reply-To:References:From;
 b=cJxQdp5P4BVziUVIoedTMlZI153tvulCHak4obdmS0DF7KAbW+PVhHdqNzUNLkLRf
 Y6pU5ZWmEzQuNtyzuBYt1e0ah/nFk93p+lIPBUSu+DXLLUG6ZyoBdouOKO09qgRaja
 m1XHw11cFTrdzjzHSdplPu5wIr9YASRrT7UeELEY=
To: "49339 <at> debbugs.gnu.org" <49339 <at> debbugs.gnu.org>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: [PATCH core-updates] gnu: mesa: Update to 21.1.4.
Message-ID: <BQrzHJLVQjFdhpZvR_NV2rqGaVlbj7IY_NT8pcNAGQA-9IeWQDPpk1A1bRF76EXDg6wfqlIsqwixnjEiL7tRoXJhnqQKYj5N_hBQ3WDg374=@protonmail.com>
In-Reply-To: <QLnXzdkAyMlNlQT8dThOoBGtUi2tbhTfEmmQkbE2jED-NsdqdKMD_CJmai1GDhJQ_Gdb4NvuXC84k0qf5yfzB2hCHJGtNohIAZLJF6-TceU=@protonmail.com>
References: <jiKz00xP3i3YsGlN1G6BLevhAjMHDXJJd3-cSOml_yupQlbuwnxvLLjS9MCEJ1k_1jZ0y9XidCMLEmHyfDO6fVWROVtpRDSnccRjYyl3PXE=@protonmail.com>
 <Y2Pt7fXnOkPW1ICO2GebafVzz9qSkEtAGRvVFCT7BhUn2B97bRkwkQrSbGyQsFRJM44fxThX7qxkHX13YGXgm7Dy3NsxnyPAelIQAdINF04=@protonmail.com>
 <QLnXzdkAyMlNlQT8dThOoBGtUi2tbhTfEmmQkbE2jED-NsdqdKMD_CJmai1GDhJQ_Gdb4NvuXC84k0qf5yfzB2hCHJGtNohIAZLJF6-TceU=@protonmail.com>
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_kBhtRbyMsFrfKyMgGbZ0nu7YyrPFir9R4ezTCun2k"
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49339
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.

--b1_kBhtRbyMsFrfKyMgGbZ0nu7YyrPFir9R4ezTCun2k
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello,

Here is a patch for just the minimal Mesa version bump. I reverted option c=
hanges to match the previous version (and wasn't sure with there being a me=
sa-opencl package already).

All Mesa tests pass for me too (on x86_64), so mesa-skip-tests.patch is not=
 applied, as per original patch here. src/compiler/glsl/tests/cache_test.c =
has moved to src/util/tests/cache and has changed. However, the test works =
for me (compiling on foreign distro). The i686 part of the patch can still =
be applied, but will need someone to test.

This is just the Mesa change, it relies on libdrm update in https://issues.=
guix.gnu.org/49412

I think other than the tests patch, should be good to go, can someone revie=
w and check the i686 patch so we can move ahead with this?

Thanks,
John
--b1_kBhtRbyMsFrfKyMgGbZ0nu7YyrPFir9R4ezTCun2k
Content-Type: text/x-patch; name=0001-gnu-mesa-Update-to-21.1.4.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-gnu-mesa-Update-to-21.1.4.patch
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--b1_kBhtRbyMsFrfKyMgGbZ0nu7YyrPFir9R4ezTCun2k--





Information forwarded to guix-patches@HIDDEN:
bug#49339; Package guix-patches. Full text available.

Message received at 49339 <at> debbugs.gnu.org:


Received: (at 49339) by debbugs.gnu.org; 8 Jul 2021 02:24:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 07 22:24:53 2021
Received: from localhost ([127.0.0.1]:53912 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m1Jif-0002Zf-F7
	for submit <at> debbugs.gnu.org; Wed, 07 Jul 2021 22:24:53 -0400
Received: from mail-40131.protonmail.ch ([185.70.40.131]:49239)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1m1Jic-0002ZQ-3P
 for 49339 <at> debbugs.gnu.org; Wed, 07 Jul 2021 22:24:51 -0400
Date: Thu, 08 Jul 2021 02:24:42 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1625711083;
 bh=2SSCxkZuuegDprUZT1n2y3B6IJ3neqyTRVkNbyNh4Ko=;
 h=Date:To:From:Reply-To:Subject:In-Reply-To:References:From;
 b=MhwhRGuU6l/lbsjrXK+5GNu6PPjVJbdvecQF5UYEuLub5+M+jrrLhSZeppdmUmz7S
 83+/DOY/PcZ4YusMAeHKEXBubjFur5iDdXvNggBTTVIGAYnq/oH9oDj3w13ClXilBs
 NT17ilFisTL1V819g78+TVDNukYwTfYzHK36bMFY=
To: "49339 <at> debbugs.gnu.org" <49339 <at> debbugs.gnu.org>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: [PATCH core-updates] gnu: mesa: Update to 21.1.4.
Message-ID: <QLnXzdkAyMlNlQT8dThOoBGtUi2tbhTfEmmQkbE2jED-NsdqdKMD_CJmai1GDhJQ_Gdb4NvuXC84k0qf5yfzB2hCHJGtNohIAZLJF6-TceU=@protonmail.com>
In-Reply-To: <Y2Pt7fXnOkPW1ICO2GebafVzz9qSkEtAGRvVFCT7BhUn2B97bRkwkQrSbGyQsFRJM44fxThX7qxkHX13YGXgm7Dy3NsxnyPAelIQAdINF04=@protonmail.com>
References: <jiKz00xP3i3YsGlN1G6BLevhAjMHDXJJd3-cSOml_yupQlbuwnxvLLjS9MCEJ1k_1jZ0y9XidCMLEmHyfDO6fVWROVtpRDSnccRjYyl3PXE=@protonmail.com>
 <Y2Pt7fXnOkPW1ICO2GebafVzz9qSkEtAGRvVFCT7BhUn2B97bRkwkQrSbGyQsFRJM44fxThX7qxkHX13YGXgm7Dy3NsxnyPAelIQAdINF04=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49339
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original Me=
ssage =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90

On Wednesday, July 7th, 2021 at 9:35 PM:

> =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original =
Message =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90
>
> On Monday, July 5th, 2021 at 11:35 AM:
>
> > libepoxy doesn't build (patch paths?). On #guix there was discussion of=
 fixing these problems, could an updated patch be sent here for testing?
>
> This was easy to solve: I switched where libepoxy was looking for EGL and=
 GL libraries to use libglvnd rather than mesa, as well as adding libglvnd =
as an input. Also added libglvnd as an input into xorg-server.
>
> Looking at other packages that depend on e.g. libepoxy/mesa/etc. seems li=
ke many will need libglvnd as an input now? Is that what we want to move to=
 (I take it is optional, but perhaps a move in the right direction)?
>
> In either case, I'd love to see this in core-updates so we can make fixes=
 to dependent packages as needed, since there are many that depend on mesa,=
 libepoxy, xorg-server, and so on.

As a followup, looks like libglvnd is optional for building mesa, and witho=
ut that change I think it is just a drop in version bump. I'm not sure abou=
t dependents generally, but libepoxy and xorg-server needed no changes.

So, shall we reduce this patch to just a Mesa update, and then libglvnd as =
a separate issue? I think that one would require changing/adding inputs to =
all GL packages, as they should link to libglvnd rather than any vendor's G=
L directly, if I understand correctly.

With just a version change I think this should be easily merged, can anyone=
 else weigh in on that?




Information forwarded to guix-patches@HIDDEN:
bug#49339; Package guix-patches. Full text available.

Message received at 49339 <at> debbugs.gnu.org:


Received: (at 49339) by debbugs.gnu.org; 8 Jul 2021 01:35:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 07 21:35:15 2021
Received: from localhost ([127.0.0.1]:53858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m1Iwd-0001Fw-0R
	for submit <at> debbugs.gnu.org; Wed, 07 Jul 2021 21:35:15 -0400
Received: from mail-4322.protonmail.ch ([185.70.43.22]:49691)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1m1IwZ-0001Fb-L2
 for 49339 <at> debbugs.gnu.org; Wed, 07 Jul 2021 21:35:13 -0400
Date: Thu, 08 Jul 2021 01:35:04 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1625708105;
 bh=mE6nylbvBPVa29NizNTqSItz7B6O5NP3mxF3P99Kklc=;
 h=Date:To:From:Reply-To:Subject:In-Reply-To:References:From;
 b=sw3R74RqmzWACkABEMjs0Twibe3JESsPNEOKGMOYundGEG2RPDPcYoxeiI02rKPpd
 52GI5x5tiQVBYZvTXi9gM+DntHR0D8hZGwyLk00/QLZPzLQunerAEUBztHDXg/UOdL
 hAOKNuIl7bl1b2gWhgyqJflfcq7n+joHnll2UE3Q=
To: "49339 <at> debbugs.gnu.org" <49339 <at> debbugs.gnu.org>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: [PATCH core-updates] gnu: mesa: Update to 21.1.4.
Message-ID: <Y2Pt7fXnOkPW1ICO2GebafVzz9qSkEtAGRvVFCT7BhUn2B97bRkwkQrSbGyQsFRJM44fxThX7qxkHX13YGXgm7Dy3NsxnyPAelIQAdINF04=@protonmail.com>
In-Reply-To: <jiKz00xP3i3YsGlN1G6BLevhAjMHDXJJd3-cSOml_yupQlbuwnxvLLjS9MCEJ1k_1jZ0y9XidCMLEmHyfDO6fVWROVtpRDSnccRjYyl3PXE=@protonmail.com>
References: <jiKz00xP3i3YsGlN1G6BLevhAjMHDXJJd3-cSOml_yupQlbuwnxvLLjS9MCEJ1k_1jZ0y9XidCMLEmHyfDO6fVWROVtpRDSnccRjYyl3PXE=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49339
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original Me=
ssage =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90

On Monday, July 5th, 2021 at 11:35 AM:

> libepoxy doesn't build (patch paths?). On #guix there was discussion of f=
ixing these problems, could an updated patch be sent here for testing?

This was easy to solve: I switched where libepoxy was looking for EGL and G=
L libraries to use libglvnd rather than mesa, as well as adding libglvnd as=
 an input. Also added libglvnd as an input into xorg-server.

Looking at other packages that depend on e.g. libepoxy/mesa/etc. seems like=
 many will need libglvnd as an input now? Is that what we want to move to (=
I take it is optional, but perhaps a move in the right direction)?

In either case, I'd love to see this in core-updates so we can make fixes t=
o dependent packages as needed, since there are many that depend on mesa, l=
ibepoxy, xorg-server, and so on.




Information forwarded to guix-patches@HIDDEN:
bug#49339; Package guix-patches. Full text available.

Message received at 49339 <at> debbugs.gnu.org:


Received: (at 49339) by debbugs.gnu.org; 5 Jul 2021 15:35:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 05 11:35:21 2021
Received: from localhost ([127.0.0.1]:46493 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m0Qcz-0006aR-22
	for submit <at> debbugs.gnu.org; Mon, 05 Jul 2021 11:35:21 -0400
Received: from mail-4323.protonmail.ch ([185.70.43.23]:57704)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1m0Qcy-0006aC-5j
 for 49339 <at> debbugs.gnu.org; Mon, 05 Jul 2021 11:35:20 -0400
Date: Mon, 05 Jul 2021 15:35:09 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1625499310;
 bh=11LXQC9k/7WxxK0KwutAK99XNQXyJIJmuxpW3iXWCjA=;
 h=Date:To:From:Reply-To:Subject:From;
 b=RE73aym+MlY8VTZma7XzKooLvQJFn1hvbNrmcMGGY/3RaaP26E1fo0a+5OOzayrP+
 2m7pFXUwFWBDPaXR7pX/5nhY2sMSmF4N7sZBJJZ/2qjUeV+tlSzhTgBDoENUMhIp+f
 88peoe+DE5dCGFkx9grJj8u7ehJocS1CH31kPuZs=
To: "49339 <at> debbugs.gnu.org" <49339 <at> debbugs.gnu.org>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: [PATCH core-updates] gnu: mesa: Update to 21.1.4.
Message-ID: <jiKz00xP3i3YsGlN1G6BLevhAjMHDXJJd3-cSOml_yupQlbuwnxvLLjS9MCEJ1k_1jZ0y9XidCMLEmHyfDO6fVWROVtpRDSnccRjYyl3PXE=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49339
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

libepoxy doesn't build (patch paths?). On #guix there was discussion of fix=
ing these problems, could an updated patch be sent here for testing?




Information forwarded to guix-patches@HIDDEN:
bug#49339; Package guix-patches. Full text available.

Message received at 49339 <at> debbugs.gnu.org:


Received: (at 49339) by debbugs.gnu.org; 2 Jul 2021 19:29:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 02 15:29:20 2021
Received: from localhost ([127.0.0.1]:37181 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lzOql-0007ry-SV
	for submit <at> debbugs.gnu.org; Fri, 02 Jul 2021 15:29:20 -0400
Received: from mail-4317.protonmail.ch ([185.70.43.17]:29547)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1lzOqj-0007rj-4B
 for 49339 <at> debbugs.gnu.org; Fri, 02 Jul 2021 15:29:18 -0400
Date: Fri, 02 Jul 2021 19:29:08 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1625254150;
 bh=0ADTtprvIXOYr/UbM+8dGoixrd3STxKM2IUH51U/P4M=;
 h=Date:To:From:Reply-To:Subject:From;
 b=G/d+pY9bDsPcu9S6KZT/xW72glQFN8J3hoB+x4fZJ9t7DQpHCdD7Lg6yKNDA/2xzW
 DBRxvJZRpNBZkMCA68fIvYb9xyL+iUJENhVo8TLNcw88T5/lagnlaSJiXWmmJthw/G
 2g/EN7daN/qF+YPG/Q1nuUP4rlVwgCBx9Mo182c4=
To: "49339 <at> debbugs.gnu.org" <49339 <at> debbugs.gnu.org>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: [PATCH core-updates] gnu: mesa: Update to 21.1.4.
Message-ID: <hlhUQjHk36ZkQCUStjx2cQXSaEn-ArAoqQ7Vf1gwik6c5R6mFeOuMYOgQzc8JdXz3_g5RMoP5DWYV3tVMC0jGtjIOOlB2DVZXvb4TZpOREw=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49339
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I can confirm this builds for me on different computers as well, and would =
be great to have updated in guix. This is a bigger version jump since the c=
urrent version is more than 6 months old and upstream continues with freque=
nt bug fix releases.




Information forwarded to guix-patches@HIDDEN:
bug#49339; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jul 2021 18:57:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 02 14:57:50 2021
Received: from localhost ([127.0.0.1]:37141 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lzOMH-00072l-Qk
	for submit <at> debbugs.gnu.org; Fri, 02 Jul 2021 14:57:50 -0400
Received: from lists.gnu.org ([209.51.188.17]:45788)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <irfan@HIDDEN>) id 1lzKp8-0002pW-8B
 for submit <at> debbugs.gnu.org; Fri, 02 Jul 2021 11:11:23 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36340)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <irfan@HIDDEN>) id 1lzKp7-0005wQ-4Y
 for guix-patches@HIDDEN; Fri, 02 Jul 2021 11:11:22 -0400
Received: from irfus.in ([45.63.78.5]:39583)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <irfan@HIDDEN>) id 1lzKp0-0001Em-Q4
 for guix-patches@HIDDEN; Fri, 02 Jul 2021 11:11:20 -0400
Received: from irfus.in (localhost [127.0.0.1])
 by irfus.in (OpenSMTPD) with ESMTP id b816566a
 for <guix-patches@HIDDEN>; Fri, 2 Jul 2021 10:11:02 -0500 (CDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=irfus.in; h=from:to
 :subject:date:message-id:mime-version:content-type; s=default;
 bh=/ji/3r6bUnh6spSl3X7Ta+0Y7Ck=; b=zUG0no4FMPdhuYzNGNuRNoI4HoP6
 lkh3qx2BK318stDeAqWjQAc/qyV0/3ZUfq3XZg2Q389FX1MAD2OWno1rEtiZNQay
 bop1OHc40Lb5TCmnsH1H9VILFLi4Gagf1nxTY08gNSeFGpuOBZYRkYI8Gs2Sh3Zn
 4OnaZsBaTy98sSk=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=irfus.in; h=from:to:subject
 :date:message-id:mime-version:content-type; q=dns; s=default; b=
 CCHR6GaeMYlRAw5+VHk4pPggyN1FXC+l37txcMvSJN4C5Zo2e3s0YulUCKTgiYYP
 /yEq+DScYltaB7yqJPUdvpyrDjt06yP9efM55xEY3GD1wHtpiRf3/0PbOzitTXdM
 YDhaUa5GCo9Rn92HVTH8BYPPVbso+VJpFMA5smdntsY=
Received: from localhost (<unknown> [115.98.124.164])
 by irfus.in (OpenSMTPD) with ESMTPSA id 4070b0ee
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO) for <guix-patches@HIDDEN>;
 Fri, 2 Jul 2021 10:11:01 -0500 (CDT)
User-agent: mu4e 1.4.15; emacs 28.0.50
From: Irfan S <irfan@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH core-updates] gnu: mesa: Update to 21.1.4.
Date: Fri, 02 Jul 2021 20:40:55 +0530
Message-ID: <87r1ggkayo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
Received-SPF: pass client-ip=45.63.78.5; envelope-from=irfan@HIDDEN;
 helo=irfus.in
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 02 Jul 2021 14:57:47 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

diff --git a/gnu/packages/gl.scm b/gnu/packages/gl.scm
index cc5131b28d..bd4c8a381a 100644
--- a/gnu/packages/gl.scm
+++ b/gnu/packages/gl.scm
@@ -237,7 +237,7 @@ also known as DXTn or DXTC) for Mesa.")
 (define-public mesa
   (package
     (name "mesa")
-    (version "20.2.6")
+    (version "21.1.4")
     (source
       (origin
         (method url-fetch)
@@ -249,9 +249,7 @@ also known as DXTn or DXTC) for Mesa.")
                                   version "/mesa-" version ".tar.xz")))
         (sha256
          (base32
- 
           "1nw5k2qrlcrp5bljy1lmyybgl525y0h44synkbbirw92qv3a6b7i"))
-        (patches
-         (search-patches "mesa-skip-tests.patch"))))
+ 
"02z9g6zpkg1p1sm8f84xdi7v2n7x534x9pn565bvcr411527y5qz"))))
     (build-system meson-build-system)
     (propagated-inputs
       `(;; The following are in the Requires.private field of 
       gl.pc.
@@ -278,7 +276,9 @@ also known as DXTn or DXTC) for Mesa.")
             (_
              `()))
         ("wayland" ,wayland)
-        ("wayland-protocols" ,wayland-protocols)))
+        ("wayland-protocols" ,wayland-protocols)
+        ("libglvnd" ,libglvnd)          ;required for glvnd 
support
+        ("libclc" ,libclc)))            ;required for opencl 
support
     (native-inputs
       `(("bison" ,bison)
         ("flex" ,flex)
@@ -307,15 +307,16 @@ also known as DXTn or DXTC) for Mesa.")
          ;; omx requires libomxil-bellagio
          "-Dplatforms=x11,wayland"
          "-Dglx=dri"        ;Thread Local Storage, improves 
          performance
-         ;; "-Dopencl=true"
+         "-Dopencl=true"
          ;; "-Domx=true"
-         "-Dosmesa=gallium"
-         "-Dgallium-xa=enabled"
+         "-Dosmesa=true"
+         "-Dgallium-xa=true"
+         "-Dglvnd=true"
 
          ;; features required by wayland
-         "-Dgles2=enabled"
-         "-Dgbm=enabled"
-         "-Dshared-glapi=enabled"
+         "-Dgles2=true"
+         "-Dgbm=true"
+         "-Dshared-glapi=true"
 
          ;; Explicitly enable Vulkan on some architectures.
          ,@(match (%current-system)
@@ -417,8 +418,8 @@ also known as DXTn or DXTC) for Mesa.")
              (let ((out (assoc-ref outputs "out"))
                    (bin (assoc-ref outputs "bin")))
                ;; Not all architectures have the Vulkan overlay 
                control script.
-               (mkdir-p (string-append bin "/bin"))
-               (call-with-output-file (string-append bin 
                "/bin/.empty")
+               (mkdir-p (string-append out "/bin"))
+               (call-with-output-file (string-append out 
"/bin/.empty")
                  (const #t))
                (copy-recursively (string-append out "/bin")
                                  (string-append bin "/bin"))
diff --git a/gnu/packages/xdisorg.scm b/gnu/packages/xdisorg.scm
index 97fc921436..f7b4e95b9c 100644
--- a/gnu/packages/xdisorg.scm
+++ b/gnu/packages/xdisorg.scm
@@ -638,7 +638,7 @@ rasterisation.")
 (define-public libdrm
   (package
     (name "libdrm")
-    (version "2.4.104")
+    (version "2.4.106")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -646,7 +646,7 @@ rasterisation.")
                     version ".tar.xz"))
               (sha256
                (base32
- 
                 "1jqvx9c23hgwhq109zqj6vg3ng40pcvh3r1k2fn1a424qasxhsnn"))))
+ 
"1m3vwpabjg3az84vmyxi96jyd7rrqm6qkhk1gq41w5wv89aarn4j"))))
     (build-system meson-build-system)
     (arguments
      `(#:configure-flags
@@ -663,7 +663,8 @@ rasterisation.")
                   (replace 'check
                     (lambda _
                       (invoke "meson" "test" "--timeout-multiplier" 
                       "5"))))))
-    (inputs
+    (propagated-inputs
+     ;; libpciaccess is in Requires.private of libdrm_intel.pc
      `(("libpciaccess" ,libpciaccess)))
     (native-inputs
      `(("pkg-config" ,pkg-config)))




Acknowledgement sent to Irfan S <irfan@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#49339; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 13 Jul 2021 16:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.